benchmarks/nsieve - The NetBSD Packages Collection

Sieve of Eratosthenes benchmark

This Sieve of Eratosthenes program works with variable size arrays. It is
a straight forward extension of the original Gilbreath version (
Gilbreath, Jim. "A High-Level Language Benchmark." BYTE, September 1981,
p. 180, and also Gilbreath, Jim and Gary. "Eratosthenes Revisited: Once
More Through the Sieve." BYTE January 1983, p. 283 ). Unlike the Sieve of
Gilbreath, NSIEVE uses register long variables, pointers,and large byte
arrays via 'malloc()'.  Maximum array size is currently set at 2.56 MBytes
but this can be increased or decreased by changing the program LIMIT
constant.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfnsieve-1.2b.tgz
NetBSD 8.0earmv7hfnsieve-1.2b.tgz
NetBSD 8.0earmv7hfnsieve-1.2b.tgz
NetBSD 8.0i386nsieve-1.2b.tgz
NetBSD 8.0i386nsieve-1.2b.tgz
NetBSD 8.0powerpcnsieve-1.2b.tgz
NetBSD 8.0powerpcnsieve-1.2b.tgz
NetBSD 8.0powerpcnsieve-1.2b.tgz
NetBSD 8.0powerpcnsieve-1.2b.tgz
NetBSD 8.0x86_64nsieve-1.2b.tgz
NetBSD 8.0x86_64nsieve-1.2b.tgz
NetBSD 9.0aarch64nsieve-1.2b.tgz
NetBSD 9.0aarch64nsieve-1.2b.tgz
NetBSD 9.0aarch64nsieve-1.2b.tgz
NetBSD 9.0alphansieve-1.2b.tgz
NetBSD 9.0alphansieve-1.2b.tgz
NetBSD 9.0alphansieve-1.2b.tgz
NetBSD 9.0earmnsieve-1.2b.tgz
NetBSD 9.0earmnsieve-1.2b.tgz
NetBSD 9.0earmnsieve-1.2b.tgz
NetBSD 9.0earmv6hfnsieve-1.2b.tgz
NetBSD 9.0earmv6hfnsieve-1.2b.tgz
NetBSD 9.0earmv6hfnsieve-1.2b.tgz
NetBSD 9.0earmv7hfnsieve-1.2b.tgz
NetBSD 9.0earmv7hfnsieve-1.2b.tgz
NetBSD 9.0earmv7hfnsieve-1.2b.tgz
NetBSD 9.0earmv7hfnsieve-1.2b.tgz
NetBSD 9.0i386nsieve-1.2b.tgz
NetBSD 9.0i386nsieve-1.2b.tgz
NetBSD 9.0i386nsieve-1.2b.tgz
NetBSD 9.0mips64ebnsieve-1.2b.tgz
NetBSD 9.0mips64ebnsieve-1.2b.tgz
NetBSD 9.0mips64ebnsieve-1.2b.tgz
NetBSD 9.0mips64ebnsieve-1.2b.tgz
NetBSD 9.0mips64ebnsieve-1.2b.tgz
NetBSD 9.0powerpcnsieve-1.2b.tgz
NetBSD 9.0powerpcnsieve-1.2b.tgz
NetBSD 9.0powerpcnsieve-1.2b.tgz
NetBSD 9.0powerpcnsieve-1.2b.tgz
NetBSD 9.0sparc64nsieve-1.2b.tgz
NetBSD 9.0sparc64nsieve-1.2b.tgz
NetBSD 9.0sparc64nsieve-1.2b.tgz
NetBSD 9.0sparcnsieve-1.2b.tgz
NetBSD 9.0sparcnsieve-1.2b.tgz
NetBSD 9.0sparcnsieve-1.2b.tgz
NetBSD 9.0sparcnsieve-1.2b.tgz
NetBSD 9.0sparcnsieve-1.2b.tgz
NetBSD 9.0vaxnsieve-1.2b.tgz
NetBSD 9.0vaxnsieve-1.2b.tgz
NetBSD 9.0vaxnsieve-1.2b.tgz
NetBSD 9.0x86_64nsieve-1.2b.tgz
NetBSD 9.0x86_64nsieve-1.2b.tgz
NetBSD 9.0x86_64nsieve-1.2b.tgz
NetBSD 9.0x86_64nsieve-1.2b.tgz
NetBSD 9.0x86_64nsieve-1.2b.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.